Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class ResponseManager

    java.lang.Object
      net.sourceforge.pebble.domain.ResponseManager

All Implemented Interfaces:
  CommentListener, TrackBackListener

    public class ResponseManager

extends java.lang.Object
implements CommentListener, TrackBackListener

Internal comment and TrackBack listener used to manage the list of responses for the associated blog.

Author:
  Simon Brown

Constructor Summary
`ResponseManager(Blog blog)` Creates a new instance associated with the specified blog.

Method Summary
`void` | `commentAdded(CommentEvent event)` Called when a comment has been added.
`void` | `commentApproved(CommentEvent event)` Called when a comment has been approved.
`void` | `commentRejected(CommentEvent event)` Called when a comment has been rejected.
`void` | `commentRemoved(CommentEvent event)` Called when a comment has been removed.
`int` | `getNumberOfApprovedResponses()` Gets the number of approved responses.
`int` | `getNumberOfPendingResponses()` Gets the number of pending responses.
`int` | `getNumberOfRejectedResponses()` Gets the number of rejected responses.
`int` | `getNumberOfResponses()` Gets the number of responses.
`java.util.Collection` | `getPendingResponses()` Gets pending responses (combined comments and TrackBacks).
`java.util.Collection` | `getRecentComments()` Gets recent comments.
`java.util.Collection` | `getRecentResponses()` Gets recent responses (combined comments and TrackBacks).
`java.util.Collection` | `getRecentTrackBacks()` Gets recent TrackBacks.
`java.util.Collection` | `getRejectedResponses()` Gets rejected responses (combined comments and TrackBacks).
`void` | `trackBackAdded(TrackBackEvent event)` Called when a TrackBack has been added.
`void` | `trackBackApproved(TrackBackEvent event)` Called when a TrackBack has been approved.
`void` | `trackBackRejected(TrackBackEvent event)` Called when a TrackBack has been rejected.
`void` | `trackBackRemoved(TrackBackEvent event)` Called when a TrackBack has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseManager

    public ResponseManager(Blog blog)

  Creates a new instance associated with the specified blog.

  Parameters:
    `blog` - a Blog instance

Method Detail

### getRecentComments

    public java.util.Collection getRecentComments()

  Gets recent comments.

  Returns:
    a collection containing comments that have been left most recently

### getRecentTrackBacks

    public java.util.Collection getRecentTrackBacks()

  Gets recent TrackBacks.

  Returns:
    a collection containing TrackBacks that have been left most recently

### getRecentResponses

    public java.util.Collection getRecentResponses()

  Gets recent responses (combined comments and TrackBacks).

  Returns:
    a collection containing comments and TrackBacks that have been left most recently

### getNumberOfApprovedResponses

    public int getNumberOfApprovedResponses()

  Gets the number of approved responses.

  Returns:
    an int

### getPendingResponses

    public java.util.Collection getPendingResponses()

  Gets pending responses (combined comments and TrackBacks).

  Returns:
    a collection containing comments and TrackBacks that are pending

### getNumberOfPendingResponses

    public int getNumberOfPendingResponses()

  Gets the number of pending responses.

  Returns:
    an int

### getRejectedResponses

    public java.util.Collection getRejectedResponses()

  Gets rejected responses (combined comments and TrackBacks).

  Returns:
    a collection containing comments and TrackBacks that are rejected

### getNumberOfRejectedResponses

    public int getNumberOfRejectedResponses()

  Gets the number of rejected responses.

  Returns:
    an int

### commentAdded

    public void commentAdded(CommentEvent event)

  Called when a comment has been added.

  Specified by:
    `commentAdded` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRemoved

    public void commentRemoved(CommentEvent event)

  Called when a comment has been removed.

  Specified by:
    `commentRemoved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentApproved

    public void commentApproved(CommentEvent event)

  Called when a comment has been approved.

  Specified by:
    `commentApproved` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### commentRejected

    public void commentRejected(CommentEvent event)

  Called when a comment has been rejected.

  Specified by:
    `commentRejected` in interface `CommentListener`
  Parameters:
    `event` - a CommentEvent instance

### trackBackAdded

    public void trackBackAdded(TrackBackEvent event)

  Called when a TrackBack has been added.

  Specified by:
    `trackBackAdded` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRemoved

    public void trackBackRemoved(TrackBackEvent event)

  Called when a TrackBack has been removed.

  Specified by:
    `trackBackRemoved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackApproved

    public void trackBackApproved(TrackBackEvent event)

  Called when a TrackBack has been approved.

  Specified by:
    `trackBackApproved` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### trackBackRejected

    public void trackBackRejected(TrackBackEvent event)

  Called when a TrackBack has been rejected.

  Specified by:
    `trackBackRejected` in interface `TrackBackListener`
  Parameters:
    `event` - a TrackBackEvent instance

### getNumberOfResponses

    public int getNumberOfResponses()

  Gets the number of responses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.